# Class TrajectoryNode

#### Hierarchy

- Object3D
  - TrajectoryNode

- Defined in lib/five/model/tile3d/trajectory-node.ts:9

##### Index

### Constructors

constructor

### Properties

contentObject
name

### Methods

clone
dispose
update

## Constructors

### constructor

- new TrajectoryNode(
  name: string,
  contentObject: Object3D,
  disposer?: () => void,
  ): TrajectoryNode

  #### Parameters

  - name: string
  - contentObject: Object3D
  - disposer: () => void = noop

  #### Returns TrajectoryNode

  Overrides THREE.Object3D.constructor

  - Defined in lib/five/model/tile3d/trajectory-node.ts:13

## Properties

### contentObject

contentObject: Object3D

- Defined in lib/five/model/tile3d/trajectory-node.ts:15

### name

name: string

Inherited from THREE.Object3D.name

- Defined in lib/five/model/tile3d/trajectory-node.ts:14

## Methods

### clone

- clone(): this

  #### Returns this

  Overrides THREE.Object3D.clone

  - Defined in lib/five/model/tile3d/trajectory-node.ts:37

### dispose

- dispose(): void

  #### Returns void

  - Defined in lib/five/model/tile3d/trajectory-node.ts:30

### update

- update(
  renderer: WebGLRenderer,
  camera: Camera,
  modelScene: ModelScene,
  tile3d: Tile3D,
  trajectory: Trajectory,
  parameterValue: ParameterValue,
  ): boolean

  #### Parameters

  - renderer: WebGLRenderer
  - camera: Camera
  - modelScene: ModelScene
  - tile3d: Tile3D
  - trajectory: Trajectory
  - parameterValue: ParameterValue

  #### Returns boolean

  - Defined in lib/five/model/tile3d/trajectory-node.ts:24